Skip to main content
GET
/
api
/
game
/
question
Get Question
curl --request GET \
  --url https://api.example.com/api/game/question
{
  "targetItemId": "<string>",
  "targetItemName": "<string>",
  "targetItemImageUrl": "<string>",
  "correctComponentIds": [
    "<string>"
  ],
  "correctComponents": [
    {
      "itemId": "<string>",
      "name": "<string>",
      "imageUrl": "<string>",
      "cost": 123
    }
  ],
  "options": [
    {}
  ],
  "timeLimit": 123,
  "difficulty": "<string>"
}

Query Parameters

difficulty
string
default:"MEDIUM"
The difficulty level of the question. Valid values are:
  • EASY - Simple items with fewer components
  • MEDIUM - Moderate complexity items
  • HARD - Complex items with multiple components
This parameter is optional and defaults to MEDIUM if not provided.

Response

targetItemId
string
required
The unique identifier of the target item to craft
targetItemName
string
required
The display name of the target item
targetItemImageUrl
string
required
URL to the image of the target item
correctComponentIds
List<String>
required
List of item IDs that are the correct components to craft the target item
correctComponents
List<ItemOption>
required
List of ItemOption objects representing the correct components with full details
options
List<ItemOption>
required
List of all available options including correct components and distractors. Players must select the correct components from this list.
timeLimit
integer
required
Time limit in seconds for answering this question
difficulty
string
required
The difficulty level of this question (EASY, MEDIUM, or HARD)

Example Request

curl -X GET "https://api.crafterlol.com/api/game/question?difficulty=HARD"

Example Response

{
  "targetItemId": "3078",
  "targetItemName": "Trinity Force",
  "targetItemImageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3078.png",
  "correctComponentIds": ["3044", "3051", "3057"],
  "correctComponents": [
    {
      "itemId": "3044",
      "name": "Phage",
      "imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3044.png",
      "cost": 1100
    },
    {
      "itemId": "3051",
      "name": "Hearthbound Axe",
      "imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3051.png",
      "cost": 1100
    },
    {
      "itemId": "3057",
      "name": "Sheen",
      "imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3057.png",
      "cost": 700
    }
  ],
  "options": [
    {
      "itemId": "3044",
      "name": "Phage",
      "imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3044.png",
      "cost": 1100
    },
    {
      "itemId": "3051",
      "name": "Hearthbound Axe",
      "imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3051.png",
      "cost": 1100
    },
    {
      "itemId": "3057",
      "name": "Sheen",
      "imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/3057.png",
      "cost": 700
    },
    {
      "itemId": "1001",
      "name": "Boots",
      "imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/1001.png",
      "cost": 300
    },
    {
      "itemId": "1036",
      "name": "Long Sword",
      "imageUrl": "https://ddragon.leagueoflegends.com/cdn/16.3.1/img/item/1036.png",
      "cost": 350
    }
  ],
  "timeLimit": 45,
  "difficulty": "HARD"
}

Build docs developers (and LLMs) love